List NER review queue items
curl --request GET \
--url https://api.example.com/v1/memory/ner-reviewimport requests
url = "https://api.example.com/v1/memory/ner-review"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/memory/ner-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_type": "slack",
"source_id": "<string>",
"source_text": "<string>",
"detected_entities": [
{
"entity_id": "<string>",
"entity_type": "<string>",
"entity_name": "<string>",
"confidence": 0.5,
"matched_text": "<string>",
"source": "dictionary"
}
],
"status": "pending",
"reviewed_by": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"corrections": [
{
"entity_id": "<string>",
"action": "confirm",
"remap_entity_id": "<string>",
"remap_entity_name": "<string>",
"reviewed_by": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ner-review
List NER review queue items
Returns a paginated list of NER review queue items. Filter by status (default: pending), source_type, and since (ISO-8601). Results are ordered by creation time ascending.
GET
/
v1
/
memory
/
ner-review
List NER review queue items
Query Parameters
Filter by status: pending | reviewed | skipped
Filter by source type (e.g. slack, confluence)
ISO-8601 lower bound for created_at
Required range:
1 <= x <= 200Required range:
x >= 0